/**
 * Free Canvas Ajax
 *
 * @package    Free Canvas
 * @subpackage jquery.freecanvas.ajax.js
/*  Copyright (c) 2020- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

jQuery(
	function($){
		$( document ).on(
			'click',
			'#FreeCanvasSave',
			function () {
				/* Canvas Ajax */
				var canvasData = $( '#' + FREECANVAS.name ).get( 0 ).toDataURL();
				canvasData = canvasData.replace( /^data:image\/png;base64,/, '' );
				$.ajax(
					{
						type: 'POST',
						dataType: 'json',
						url: FREECANVAS.ajax_url,
						data: {
							'action': FREECANVAS.action,
							'nonce': FREECANVAS.nonce,
							'image': canvasData,
							'name' : FREECANVAS.name
						},
						async: true
					}
				).done(
					function(callback){
						$( "#free_canvas_save_text1" ).text( FREECANVAS.saved_txt );
						$( "#free_canvas_save_text1" ).css( 'color', 'green' );
						$( "#free_canvas_save_text2" ).text( FREECANVAS.saved_txt );
						$( "#free_canvas_save_text2" ).css( 'color', 'green' );
						/* console.log(callback); */
						/* console.log(callback[0]); */
					}
				).fail(
					function(XMLHttpRequest, textStatus, errorThrown){
						/* console.log( XMLHttpRequest.status ); */
						/* console.log( textStatus ); */
						/* console.log( errorThrown.message ); */
					}
				);
			}
		);
	}
);
